Package org.alfresco.rest.model
Class RestVariableModelsCollection
java.lang.Object
org.alfresco.rest.core.RestModels<RestVariableModel,RestVariableModelsCollection>
org.alfresco.rest.model.RestVariableModelsCollection
- All Implemented Interfaces:
IModelsCollectionAssertion<RestVariableModelsCollection>,IRestModelsCollection<RestVariableModel>
public class RestVariableModelsCollection
extends RestModels<RestVariableModel,RestVariableModelsCollection>
Handles a collection of JSON response Example: "variables": [ { "scope": "string", "name": "string", "value": 0, "type": "string" } ]
- Author:
- Cristina Axinte
-
Constructor Summary
Constructors -
Method Summary
Methods inherited from class org.alfresco.rest.core.RestModels
and, assertThat, getEntries, getEntryByIndex, getOneRandomEntry, getPagination, isEmpty, setPagination, when
-
Constructor Details
-
RestVariableModelsCollection
public RestVariableModelsCollection()
-
-
Method Details
-
getVariableByName
-